import { ModuleControl } from "queenjs";
import { EditorModule } from "../../module";

export class GroupActionCtrl extends ModuleControl<EditorModule> {
  init() {
    document.body.addEventListener("keydown", this.enableGroupMode);
  }
  enableGroupMode = (event: KeyboardEvent) => {
    if (event.key === "Control" && !this.store.groupModeStatus) {
      this.actions.enableGroupMode();
      document.body.addEventListener("keyup", this.disableGroupMode);
    }
  };
  disableGroupMode = (event: KeyboardEvent) => {
    if (event.key === "Control") {
      this.actions.disableGroupMode();
      document.body.removeEventListener("keyup", this.disableGroupMode);
    }
  };
  destroy() {
    document.body.removeEventListener("keydown", this.enableGroupMode);
  }
}
